<div class="my-6 text-center flex flex-column justify-content-center">
  <span class="text-2xl mb-2">Select a country:</span>
  <p-autoComplete [suggestions]="filteredCountries"
                  (completeMethod)="filterCountries($event)" (onSelect)="onOptionSelected($event)"
                  field="name" [forceSelection]="true">
    <ng-template let-country pTemplate="item">
      <div class="flex flex-row justify-content-between align-items-center">
        <img [src]="country.flagUrl" alt="{{country.name}} flag" height="25px" class="country-option-img"
             loading="lazy"/>
        <span>{{country.name}}</span>
      </div>
    </ng-template>
  </p-autoComplete>
</div>
